<!--********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************-->
<div [ngSwitch]="contextAttribute?.attribute?.dataType">
  <a
    *ngSwitchCase="'FILE_LINK'"
    title="{{ contextAttribute?.attribute?.value[contextAttribute?.contextGroup]?.description }}"
    target="_blank"
    [href]="getUrl(contextAttribute?.attribute?.value[contextAttribute?.contextGroup]?.identifier)"
  >
    {{ contextAttribute?.attribute?.value[contextAttribute?.contextGroup] | fileName }}
    <span
      *ngIf="contextAttribute?.attribute?.value[contextAttribute?.contextGroup]?.mimeType === 'application/x-openmdm.link'"
      class="pi pi-link"
    ></span>
  </a>
  <div *ngSwitchCase="'FILE_LINK_SEQUENCE'">
    <div *ngFor="let link of contextAttribute?.attribute.value[contextAttribute?.contextGroup]; index as i">
      <a
        title="{{ contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i]?.description }}"
        target="_blank"
        [href]="getUrl(contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i]?.identifier)"
      >
        {{ contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i] | fileName }}
        <span
          *ngIf="contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i]?.mimeType === 'application/x-openmdm.link'"
          class="pi pi-link"
        ></span>
      </a>
    </div>
  </div>
  <div *ngSwitchCase="'FILE_RELATION'">
    <div *ngFor="let link of contextAttribute?.attribute.value[contextAttribute?.contextGroup]; index as i">
      <a
        title="{{ contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i]?.description }}"
        target="_blank"
        [href]="getUrl(contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i]?.identifier)"
      >
        {{ contextAttribute?.attribute?.value[contextAttribute?.contextGroup][i] | fileName }}
      </a>
    </div>
  </div>
</div>
